package com.rjconsultores.ventaboletos.enums;

import org.zkoss.util.resource.Labels;

public enum TipoSocio {
	
	SOCIO_ADMINISTRADOR(Labels.getLabel("editarPuntoVentaController.lbTipoSocioAdministrador.value")),
	SOCIO_PROPRIETARIO(Labels.getLabel("editarPuntoVentaController.lbTipoSocioProprietario.value")),
	PROPRIETARIO(Labels.getLabel("editarPuntoVentaController.lbTipoProprietario.value"));
	
	private String descricao;
	
	private TipoSocio(String descricao) {
		this.descricao = descricao;
	}

	public String getDescricao() {
		return descricao;
	}
	
	@Override
	public String toString() {
		return getDescricao();
	}

}
